Skip to main content

Invite Session To Session

POST 

/session/v1/session/:session_id/invited-session/:invited_session_id:invite

Invite an entire session to a target session

Required Permissions:

  • For any player (including themselves) any of: session:*, session:update-player:any

to invite any session regardless of membership status

Required Permissions:

  • For any player (including themselves) any of: session:*, session:update-player:any, session:update-player:self

to invite a session you are part of

Required Session Permissions: None

Request

Path Parameters

    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

    invited_session_id Invited Session Idrequired

    Possible values: non-empty and <= 128 characters

Body

required

    team_id Team Id (integer)

    Which team the invited players should prioritize being put on

    overflow_action TeamOverflowAction (string)

    Possible values: [fail, allow_overflow, partial_with_overflow, partial_without_overflow, overfill]

    How too many players being invited to a single team should be handled

    custom_data

    object

    Custom data for all players being invited

    property name* string

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    players

    object[]

    required

    List of players that were updated

  • Array [

  • player_uuid uuid

    Player UUID of the player updated

    status SessionPlayerStatus (string)required

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    team_id Team Id (integer)required

    Which team the player joined

    custom_data

    object

    Resulting custom data about the player

    property name* string
  • ]

Loading...